/* artycellrendererpixbuf.h
 * Copyright (C) 2000  Red Hat, Inc.,  Jonathan Blandford <jrb@redhat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef __ARTY_CELL_RENDERER_PIXBUF_H__
#define __ARTY_CELL_RENDERER_PIXBUF_H__

#include <gtk/gtk.h>


G_BEGIN_DECLS


#define ARTY_TYPE_CELL_RENDERER_PIXBUF			(arty_cell_renderer_pixbuf_get_type ())
#define ARTY_CELL_RENDERER_PIXBUF(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), ARTY_TYPE_CELL_RENDERER_PIXBUF, ArtyCellRendererPixbuf))
#define ARTY_CELL_RENDERER_PIXBUF_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), ARTY_TYPE_CELL_RENDERER_PIXBUF, ArtyCellRendererPixbufClass))
#define ARTY_IS_CELL_RENDERER_PIXBUF(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), ARTY_TYPE_CELL_RENDERER_PIXBUF))
#define ARTY_IS_CELL_RENDERER_PIXBUF_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), ARTY_TYPE_CELL_RENDERER_PIXBUF))
#define ARTY_CELL_RENDERER_PIXBUF_GET_CLASS(obj)         (G_TYPE_INSTANCE_GET_CLASS ((obj), ARTY_TYPE_CELL_RENDERER_PIXBUF, ArtyCellRendererPixbufClass))

typedef struct _ArtyCellRendererPixbuf ArtyCellRendererPixbuf;
typedef struct _ArtyCellRendererPixbufClass ArtyCellRendererPixbufClass;

struct _ArtyCellRendererPixbuf
{
  GtkCellRenderer parent;

  /*< private >*/
  gchar *filename;
  /*GdkPixbuf *GSEAL (pixbuf);
  GdkPixbuf *GSEAL (pixbuf_expander_open);
  GdkPixbuf *GSEAL (pixbuf_expander_closed);*/
};

struct _ArtyCellRendererPixbufClass
{
  GtkCellRendererClass parent_class;

  /* Padding for future expansion */
  void (*_gtk_reserved1) (void);
  void (*_gtk_reserved2) (void);
  void (*_gtk_reserved3) (void);
  void (*_gtk_reserved4) (void);
};

GType            arty_cell_renderer_pixbuf_get_type (void) G_GNUC_CONST;
GtkCellRenderer *arty_cell_renderer_pixbuf_new      (void);


G_END_DECLS


#endif /* __ARTY_CELL_RENDERER_PIXBUF_H__ */
